Listar uma campanha

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v3/campaign

Retorna uma lista de registros de campanha de acordo com os filtros informados na requisição.

application/json

Body Required

pageRequest

  • conditions array[object] Required
    Hide conditions attributes Show conditions attributes object
    • key string
    • value string
    • operator string

      Values are EQ, EQNUM, NEQ, NEQNUM, IS_FALSE, IS_TRUE, LIKE, NOT_LIKE, IN, NOT_IN, IS_NULL, NOT_NULL, BEFORE, or AFTER.

    • logic string

      Values are AND or OR.

    • or array[object]
    • and array[object]
    • conditions array[object]
  • direction string

    Values are ASC or DESC.

  • page integer(int32)
  • sort boolean Required
  • sortColumn string
  • size integer(int32)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • page integer(int32) Required
    • results array[object]
      Hide results attributes Show results attributes object
      • campaignTypeId integer(int64)
      • channel string
      • createdAt string(date-time)
      • createdBy string
      • description string
      • emailBody string
      • emailSubject string
      • executionType string
      • expiresAt string(date-time)
      • groupConfId integer(int64)
      • hsmTemplate object
        Hide hsmTemplate attributes Show hsmTemplate attributes object
        • active boolean
        • createdAt string(date-time)
        • createdBy string
        • description string
        • elementName string
        • id integer(int64)
        • language string
        • mediaParameterCount integer(int64)
        • nameSpace string
        • parameterCount integer(int64)
        • template string
        • updatedAt string(date-time)
        • updatedBy string
      • id integer(int64)
      • jolt string
      • message string
      • name string
      • nextRun string(date-time)
      • recurrenceFrequency string
      • responsibleUserId integer(int64)
      • scheduledAt string(date-time)
      • sourceReference string
      • sourceType string
      • status string
      • updatedAt string(date-time)
      • updatedBy string
    • size integer(int32)
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v3/campaign
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v3/campaign' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"conditions":[{"key":"string","value":"string","operator":"EQ","logic":"AND","or":[{}],"and":[{}],"conditions":[{}]}],"direction":"ASC","page":42,"sort":true,"sortColumn":"string","size":42}'
Request examples
{
  "conditions": [
    {
      "key": "string",
      "value": "string",
      "operator": "EQ",
      "logic": "AND",
      "or": [
        {}
      ],
      "and": [
        {}
      ],
      "conditions": [
        {}
      ]
    }
  ],
  "direction": "ASC",
  "page": 42,
  "sort": true,
  "sortColumn": "string",
  "size": 42
}
Response examples (200)
{
  "page": 42,
  "results": [
    {
      "campaignTypeId": 42,
      "channel": "string",
      "createdAt": "2026-05-04T09:42:00Z",
      "createdBy": "string",
      "description": "string",
      "emailBody": "string",
      "emailSubject": "string",
      "executionType": "string",
      "expiresAt": "2026-05-04T09:42:00Z",
      "groupConfId": 42,
      "hsmTemplate": {
        "active": true,
        "createdAt": "2026-05-04T09:42:00Z",
        "createdBy": "string",
        "description": "string",
        "elementName": "string",
        "id": 42,
        "language": "string",
        "mediaParameterCount": 42,
        "nameSpace": "string",
        "parameterCount": 42,
        "template": "string",
        "updatedAt": "2026-05-04T09:42:00Z",
        "updatedBy": "string"
      },
      "id": 42,
      "jolt": "string",
      "message": "string",
      "name": "string",
      "nextRun": "2026-05-04T09:42:00Z",
      "recurrenceFrequency": "string",
      "responsibleUserId": 42,
      "scheduledAt": "2026-05-04T09:42:00Z",
      "sourceReference": "string",
      "sourceType": "string",
      "status": "string",
      "updatedAt": "2026-05-04T09:42:00Z",
      "updatedBy": "string"
    }
  ],
  "size": 42
}